Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 663797 (CVE-2010-4336) - CVE-2010-4336 collectd: DoS via the RRDtool and RRDCacheD plugins
Summary: CVE-2010-4336 collectd: DoS via the RRDtool and RRDCacheD plugins
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2010-4336
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 663799
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-16 21:07 UTC by Vincent Danen
Modified: 2019-09-29 12:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:57:31 UTC


Attachments (Terms of Use)

Description Vincent Danen 2010-12-16 21:07:39 UTC
It was reported [1],[2] that collectd is vulnerable to a denial of service condition via the RRDtool and RRDCacheD plugins.  These plugins, when creating a new RRD file, assert that the timestamp included with a value is greater than 10, however this condition is never actually checked anywhere, making it possible for the assertion to fail.

The code causing this problem appeared in version 4.0.8 (commit 9d52ed5f) and has been corrected upstream (commit 11893a7c), meaning it has been corrected in upstream versions 4.9.4 and 4.10.2 [2].  This affects all versions of collectd as shipped with Fedora.

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=605092
[2] http://secunia.com/advisories/42393/
[3] http://collectd.org/news.shtml#news86

Comment 1 Vincent Danen 2010-12-16 21:09:46 UTC
Created collectd tracking bugs for this issue

Affects: fedora-all [bug 663799]

Comment 2 Product Security DevOps Team 2019-06-10 10:57:31 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.